Package org.jacoco.ant

## Class MergeTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.jacoco.ant.MergeTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class MergeTask
    extends org.apache.tools.ant.Task

Task for merging a set of execution data files (*.exec) into a single file

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`MergeTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfigured​(org.apache.tools.ant.types.ResourceCollection resources)` This task accepts any number of execution data resources.
`void` `execute()`
`void` `setDestfile​(java.io.File destfile)` Sets the location of the merged data store

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeTask

    public MergeTask()

### Method Detail

#### setDestfile

    public void setDestfile​(java.io.File destfile)

Sets the location of the merged data store

Parameters:
  `destfile` - Destination data store location

#### addConfigured

    public void addConfigured​(org.apache.tools.ant.types.ResourceCollection resources)

This task accepts any number of execution data resources.

Parameters:
  `resources` - Execution data resources

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`